const Http = require("../../utils/HttpBasics");
const config = require("../../config/config");
let app = getApp();
Page({
  data: {
    token:'',
    url:''
  },
  bindGetMsg(e){
    console.log(e,1234565432)
  },
  onShareAppMessage: function (res) {
    let _this=this;
    return {
      title: '自定义转发标题',
      path: 'pages/index/index',
      success: function (res) {
        // 转发成功
      },
      fail: function (res) {
        // 转发失败
        console.log(666)
      }
    }
  },
  onShow: function () {
    // console.log(app.globalData.havePlayEd)
    app.globalData.havePlayEd=true
    let num = wx.getStorageSync('couponNum');
    if (num == 'couponNum') {
      wx.showTabBarRedDot({
        index: 2
      })
    };
  },
  onLoad(options) {
    console.log(options,999999999)
    if (options.share){
      // wx.onShareAppMessage();
    }else{
      this.setData({
        url: options.url + "?token=" + app.globalData.token + "&gameId=" + options.gameId + "&id=" + options.id,
        // url: "http://10.11.195.31:8080/goldEgg/" + "?token=" + app.globalData.token + "&gameId=" + options.gameId + "&id=" + options.id,
      });
    }
  }
});